package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 违规类型(1.工作纪律)枚举类
*
* @author zxfei
*/
public enum IrregularOtherTypeEnum {
    工作纪律(1, "工作纪律");
    private Integer value;
    private String desc;

    IrregularOtherTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static IrregularOtherTypeEnum getByValue(Integer value) {
        for (IrregularOtherTypeEnum irregularOtherTypeEnum : IrregularOtherTypeEnum.values()) {
            if (irregularOtherTypeEnum.getValue() == value) {
                return irregularOtherTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (IrregularOtherTypeEnum item : IrregularOtherTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}